twitter4j

## Interface DirectMessage

All Superinterfaces:
  EntitySupport, Serializable, TwitterResponse

    public interface DirectMessage
    extends TwitterResponse, EntitySupport, Serializable

A data interface representing sent/received direct message.

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Date` `getCreatedAt()`
`long` `getId()`
`User` `getRecipient()` Deprecated. use `getRecipientId()` instead
`long` `getRecipientId()`
`String` `getRecipientScreenName()` Deprecated. use `getRecipientId()` instead
`User` `getSender()` Deprecated. use `getSenderId()` instead
`long` `getSenderId()`
`String` `getSenderScreenName()` Deprecated. use `getSenderId()` instead
`String` `getText()`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Methods inherited from interface twitter4j.EntitySupport

`getHashtagEntities, getMediaEntities, getSymbolEntities, getURLEntities, getUserMentionEntities`

### Method Detail

#### getId

    long getId()

#### getText

    String getText()

#### getSenderId

    long getSenderId()

#### getRecipientId

    long getRecipientId()

#### getCreatedAt

    Date getCreatedAt()

Returns:
  created_at
Since:
  Twitter4J 1.1.0

#### getSenderScreenName

    String getSenderScreenName()

Deprecated. use `getSenderId()` instead

Returns:
  sender screen name

#### getRecipientScreenName

    String getRecipientScreenName()

Deprecated. use `getRecipientId()` instead

Returns:
  recipient screen name

#### getSender

    User getSender()

Deprecated. use `getSenderId()` instead

Returns:
  sender user

#### getRecipient

    User getRecipient()

Deprecated. use `getRecipientId()` instead

Returns:
  sender recipient